# This file created by conda-build 3.10.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/thinc-6.11.2-blas_impl_mkl-python_3.5-on-linux_32, last modified Thu Jun 21 19:33:31 2018
# ------------------------------------------------

package:
    name: thinc
    version: 6.11.2
source:
    fn: thinc-6.11.2.tar.gz
    patches:
        - 0001-Don-t-force-bitness-of-output-binaries.patch
        - 0002-Fix-link-command-generation-for-THINC_BLAS.patch
    sha256: 028a014192e1914c151222794781d14e1c9fddf47a859aa36077f07871d0c30a
    url: https://pypi.io/packages/source/t/thinc/thinc-6.11.2.tar.gz
build:
    number: '0'
    script:
        - export THINC_BLAS=$PREFIX/lib/libmkl_rt.so
        - python setup.py install --single-version-externally-managed --record=record.txt
    string: py35hedc7406_0
requirements:
    build:
        - binutils_impl_linux-32 2.28.1 hf6cdf64_3
        - binutils_linux-32 7.2.0 hf6cdf64_27
        - gcc_impl_linux-32 7.2.0 he2ea625_3
        - gcc_linux-32 7.2.0 he993a77_27
        - gxx_impl_linux-32 7.2.0 h9268252_3
        - gxx_linux-32 7.2.0 he993a77_27
        - libstdcxx-ng 7.2.0 h9268252_3
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py35_0
        - intel-openmp 2018.0.3 0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h9268252_3
        - libgfortran-ng 7.2.0 h9268252_3
        - libstdcxx-ng 7.2.0 h9268252_3
        - mkl 2018.0.3 1
        - mkl-devel 2018.0.3 1
        - mkl-include 2018.0.3 1
        - ncurses 6.1 hf484d3e_0
        - numpy 1.11.3 py35h3dfced4_4
        - openssl 1.0.2o h20670df_0
        - python 3.5.5 hc3d631a_4
        - readline 7.0 h6b4b497_4
        - setuptools 39.2.0 py35_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 h9a736a7_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - blas 1.0 mkl
        - cymem >=1.30,<1.32
        - cytoolz
        - dill >=0.2.7,<0.3.0
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - mkl >=2018.0.3
        - msgpack-numpy >=0.4.1
        - msgpack-python >=0.5.6
        - murmurhash >=0.28,<0.30
        - numpy >=1.11.3,<2.0a0
        - plac >=0.9,<1.0
        - preshed >=1.0.0,<2.0.0
        - python >=3.5,<3.6.0a0
        - six >=1.10.0,<2.0.0
        - termcolor >=1.1.0,<1.2.0
        - tqdm >=4.10.0,<5.0.0
        - wrapt >=1.10.10,<1.11.0
test:
    imports:
        - thinc
        - thinc.api
        - thinc.extra
        - thinc.extra._vendorized
        - thinc.linear
        - thinc.neural
        - thinc.neural._classes
    requires:
        - hypothesis
        - mock
        - pytest
about:
    description: "thinc is a Cython library for learning models with millions of parameters\n\
        and dozens of classes. It drives https://spacy.io , a pipeline of very\nefficient\
        \ NLP components. I\u2019ve only used thinc from Cython; no real Python\n\
        API is currently available.\n"
    dev_url: https://github.com/explosion/thinc
    home: https://github.com/explosion/thinc/
    license: MIT
    license_file: LICENSE
    summary: 'thinc: Learn super-sparse multi-class models'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - rmax
